FUTEX_LOCK_PI2(2const)

NAME
FUTEX_LOCK_PI2 - lock a priority‐inheritance futex

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/futex.h>  /* Definition of FUTEX_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

long syscall(SYS_futex, uint32_t *uaddr, FUTEX_LOCK_PI2, 0,
             const struct timespec *timeout);

DESCRIPTION
This operation is the same as FUTEX_LOCK_PI(2const), except that the clock against which timeout is measured is selectable.

By default, the (absolute) timeout specified in timeout is measured against the CLOCK_MONOTONIC clock.

RETURN VALUE
See FUTEX_LOCK_PI(2const).

ERRORS
See FUTEX_LOCK_PI(2const).

STANDARDS
Linux.

HISTORY
Linux 5.14.

SEE ALSO
futex(2)